diff -Nru ca-certificates-java-20170531+nmu1/debian/changelog ca-certificates-java-20170531+nmu2/debian/changelog
--- ca-certificates-java-20170531+nmu1/debian/changelog	2017-06-15 17:33:00.000000000 +0200
+++ ca-certificates-java-20170531+nmu2/debian/changelog	2017-09-27 17:17:59.000000000 +0200
@@ -1,3 +1,11 @@
+ca-certificates-java (20170531+nmu2) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Fix temporary jvm-*.cfg generation on armhf (Closes: #874276)
+    - the armhf installation path is different from other architectures.
+
+ -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 27 Sep 2017 17:17:59 +0200
+
 ca-certificates-java (20170531+nmu1) unstable; urgency=high
 
   * Non-maintainer upload.
diff -Nru ca-certificates-java-20170531+nmu1/debian/jks-keystore.hook.in ca-certificates-java-20170531+nmu2/debian/jks-keystore.hook.in
--- ca-certificates-java-20170531+nmu1/debian/jks-keystore.hook.in	2017-05-31 14:39:26.000000000 +0200
+++ ca-certificates-java-20170531+nmu2/debian/jks-keystore.hook.in	2017-09-27 17:17:59.000000000 +0200
@@ -53,7 +53,11 @@
     # the jre is not yet configured, but jvm.cfg is needed to run it
     temp_jvm_cfg=/etc/${jvm%-$arch}/jvm-$arch.cfg
     mkdir -p /etc/${jvm%-$arch}
-    printf -- "-server KNOWN\n" > $temp_jvm_cfg
+    if [ "$arch" == "armhf" ]; then
+        printf -- "-client KNOWN\n-server ALIASED_TO -client\n" > $temp_jvm_cfg
+    else
+        printf -- "-server KNOWN\n" > $temp_jvm_cfg
+    fi
 fi
 
 if dpkg-query --version >/dev/null; then
diff -Nru ca-certificates-java-20170531+nmu1/debian/postinst.in ca-certificates-java-20170531+nmu2/debian/postinst.in
--- ca-certificates-java-20170531+nmu1/debian/postinst.in	2017-05-31 14:39:26.000000000 +0200
+++ ca-certificates-java-20170531+nmu2/debian/postinst.in	2017-09-27 17:17:59.000000000 +0200
@@ -100,7 +100,11 @@
                 # the jre is not yet configured, but jvm.cfg is needed to run it
                 temp_jvm_cfg=/etc/${jvm%-$arch}/jvm-$arch.cfg
                 mkdir -p /etc/${jvm%-$arch}
-                printf -- "-server KNOWN\n" > $temp_jvm_cfg
+                if [ "$arch" == "armhf" ]; then
+	                printf -- "-client KNOWN\n-server ALIASED_TO -client\n" > $temp_jvm_cfg
+                else
+	                printf -- "-server KNOWN\n" > $temp_jvm_cfg
+                fi
             fi
 
             trap do_cleanup EXIT
